package rest.jbpm;

import javax.ws.rs.*;
import javax.ws.rs.core.*;
import javax.ws.rs.core.Response.*;


public class ProcessEngineException extends WebApplicationException {

    /**
      * Create a HTTP 401 (Unauthorized) exception.
     */
     public ProcessEngineException() {
         super(Response.status(Status.INTERNAL_SERVER_ERROR).build());
     }

     /**
      * Create a HTTP 404 (Not Found) exception.
      * @param message the String that is the entity of the 404 response.
      */
     public ProcessEngineException(String message) {
         super(Response.status(Status.INTERNAL_SERVER_ERROR).entity(message).type("text/plain").build());
     }

}

