
package rest.jbpm.wrappers.refs;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

@XmlRegistry
public class ObjectFactory {

    private final static QName _DefinitionRef_QNAME = new QName("http://refs.wrappers.jbpm.rest", "definitionRef");
    private final static QName _DeploymentRef_QNAME = new QName("http://refs.wrappers.jbpm.rest", "deploymentRef");
    private final static QName _ExecutionRef_QNAME = new QName("http://refs.wrappers.jbpm.rest", "executionRef");
    private final static QName _TaskRef_QNAME = new QName("http://refs.wrappers.jbpm.rest", "taskRef");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: rest.jbpm.wrappers
     * 
     */
    public ObjectFactory() {
    }


    public TaskRef createTaskRef() {
        return new TaskRef();
    }

    @XmlElementDecl(namespace = "http://refs.wrappers.jbpm.rest", name = "taskRef")
    public JAXBElement<TaskRef> createTaskRef(TaskRef value) {
        return new JAXBElement<TaskRef>(_TaskRef_QNAME, TaskRef.class, null, value);
    }

    public ExecutionRef createExecutionRef() {
        return new ExecutionRef();
    }

    @XmlElementDecl(namespace = "http://refs.wrappers.jbpm.rest", name = "executionRef")
    public JAXBElement<ExecutionRef> createExecutionRef(ExecutionRef value) {
        return new JAXBElement<ExecutionRef>(_ExecutionRef_QNAME, ExecutionRef.class, null, value);
    }
    
    public DeploymentRef createDefploymentRef() {
        return new DeploymentRef();
    }

    @XmlElementDecl(namespace = "http://refs.wrappers.jbpm.rest", name = "deploymentRef")
    public JAXBElement<DeploymentRef> createDeploymentRef(DeploymentRef value) {
        return new JAXBElement<DeploymentRef>(_DeploymentRef_QNAME, DeploymentRef.class, null, value);
    }
    
    public DefinitionRef createDefinitionRef() {
        return new DefinitionRef();
    }

    @XmlElementDecl(namespace = "http://refs.wrappers.jbpm.rest", name = "definitionRef")
    public JAXBElement<DefinitionRef> createDefinitionRef(DefinitionRef value) {
        return new JAXBElement<DefinitionRef>(_DefinitionRef_QNAME, DefinitionRef.class, null, value);
    }

}
