package rest.jbpm.wrappers;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


@XmlRootElement
@XmlAccessorType(XmlAccessType.PROPERTY)
@XmlType(name = "stringWrapper", propOrder = {"value"})
public class StringWrapper {
	
	protected String value;
	
	public StringWrapper(String value) {
		this.value = value;
	}
	
	protected StringWrapper() {
		
	}
	@XmlElement(required=true)
	public String getValue() {
		return value;
	}

}
